XF Test Bench 3.3

Public Member Functions | Static Public Member Functions | Static Protected Attributes | List of all members
TestFactory05 Class Reference
Fifth Test Project

Factory creating all objects used in test5. More...

`#include <testfactory05.h>`

Collaboration diagram for TestFactory05:

## Public Member Functions
| TestFactory05 ()
| Constructor.

## Static Public Member Functions
static void | initialize ()
| Initializes the factory.
static void | build ()
| Creates components and initializes relations.

## Static Protected Attributes
static StateMachine05a | task01_
| Instance of StateMachine05a saying 'Tick 500ms'.
static StateMachine05b | task02_
| Instance of StateMachine05b saying 'One' every second.
static StateMachine05b | task03_
| Instance of StateMachine05b saying 'Two' every second.
static StateMachine05b | task04_
| Instance of StateMachine05b saying 'Three' every second.

## Detailed Description

Factory creating all objects used in test5.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test5/src/app/testfactory05.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test5/src/app/testfactory05.cpp